<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />

  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

  <title>Exploring United Nations Refugee &amp; Asylum Data With the untools Package</title>
  <style>
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>

  <style>
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(data-line-number);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>

  <link rel="stylesheet" href="/usr/local/lib/R/site-library/danteSubmit/rmarkdown/templates/dante_vignette/resources/style.css" />

  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>

<body>

<header id="title-block-header">
<h1 class="title">Exploring United Nations Refugee &amp; Asylum Data With the <em>untools</em> Package</h1>

<p class="date" id="date"><em>2019-09-10</em></p>

<div id="author-block">
<span id="author-name">Joshua Brinks</span>,&nbsp;<span id="author-affiliation"><em>ISciences, LLC</em>&nbsp;<sup><a id="author-email" href="mailto:jbrinks@isciences.com"><i class="far fa-envelope" style="font-size:15px; color: blue"></i></a></sup></br>
</div>

<div id="vignette-highlights-block">
<h3> Highlights: </h3>
<ul>
<li>The untools package provides functions to easily acquire and visualize UN refugee and asylum seeker time series data.</li>
<li>untools also provides convenience functions for fixing country name typos, removing stateless entries, and introducing common country codes.</li>
</ul>
</div>



</header>

<h3> Contents: </h3>
<nav id="TOC" role="doc-toc">
<ul>
<li><a href="#introduction"><span class="toc-section-number">1</span> Introduction</a></li>
<li><a href="#exploring-the-data"><span class="toc-section-number">2</span> Exploring the Data</a></li>
<li><a href="#untools-functions-for-unhcr-data"><span class="toc-section-number">3</span> <em>untools</em> Functions for UNHCR Data</a><ul>
<li><a href="#the-prepunref-function"><span class="toc-section-number">3.1</span> The <em>prepunref</em> Function</a></li>
<li><a href="#static-grouped-flows"><span class="toc-section-number">3.2</span> Static Grouped Flows</a></li>
<li><a href="#stacked-static-flows-by-population-type"><span class="toc-section-number">3.3</span> Stacked Static Flows by Population Type</a></li>
<li><a href="#plotting-time-series"><span class="toc-section-number">3.4</span> Plotting Time Series</a></li>
</ul></li>
</ul>
</nav>

<div id="introduction" class="section level1">
<h1><span class="header-section-number">1</span> Introduction</h1>
<p>The Office of the United Nations High Commissioner for Refugees (UNHCR) provides several data sets describing annual movements of populations of concern. These include asylum seekers, refugees, internally displaced persons (IDP), returned refugees, returned IDP, and stateless persons. The <a href="http://popstats.unhcr.org/en/overview">Population Statistics</a> web portal serves as a central hub for several data sets summarizing the aforementioned populations by year, month, gender, age, origin, and destination. Today we will be summarizing and exploring the <a href="http://popstats.unhcr.org/en/time_series/https://goo.gl/VNuKbU">Time Series</a> dataset. This dataset consists of annual dyadic flows for all populations of concern between countries of origin (citizenship) and countries of destination (asylum/residency). Although the earliest years of record are 1951, exhibit caution when performin analysis and causal inference for years prior to 1990.</p>
</div>
<div id="exploring-the-data" class="section level1">
<h1><span class="header-section-number">2</span> Exploring the Data</h1>
<p>The Populations of Concern dataset can be acquired directly using the <code>getunref()</code> function from the <code>untools</code> package. You can install the current release of <code>untools</code> from GitLab with the <code>devtools</code> package.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1">devtools<span class="op">::</span><span class="kw">install_gitlab</span>(<span class="st">&quot;/dante-sttr/untools&quot;</span>)</a></code></pre></div>
<p>In addition to the <code>unref()</code> function, the dataset is available for download <a href="http://popstats.unhcr.org/en/time_series">here</a>. The Time Series dataset is one of the cleanest data sets provided by the UNHCR, however, it might be challenging for a beginning programmer. Moreover, the country and territory names are not matched up with any country code scheme that would facilitate easy merging with additional data sets. Under the DANTE project, we have developed some tools to streamline the processing and visualization of the Time Series dataset.</p>
<p>Once you’ve acquired the data, assign it an object and view the structure.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1"><span class="kw">library</span>(<span class="st">&#39;data.table&#39;</span>)</a>
<a class="sourceLine" id="cb2-2" data-line-number="2"><span class="kw">library</span>(<span class="st">&#39;untools&#39;</span>)</a>
<a class="sourceLine" id="cb2-3" data-line-number="3">unhcr.ts&lt;-<span class="kw">getunref</span>()</a></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
Year
</th>
<th style="text-align:left;">
Country / territory of asylum/residence
</th>
<th style="text-align:left;">
Origin
</th>
<th style="text-align:left;">
Population type
</th>
<th style="text-align:left;">
Value
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Australia
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
180000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Austria
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
282000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Belgium
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
55000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Canada
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
168511
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
China, Hong Kong SAR
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
30000
</td>
</tr>
</tbody>
</table>
<p>It is a fairly simple dataset, consisting of year, country of origin, destination country, population type, and number of migrants, but some of the naming conventions are cumbersome for an analysis environment. They contain special characters, mixed capitalization, and long titles.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1"><span class="kw">names</span>(unhcr.ts)</a></code></pre></div>
<pre><code>## [1] &quot;Year&quot;                                   
## [2] &quot;Country / territory of asylum/residence&quot;
## [3] &quot;Origin&quot;                                 
## [4] &quot;Population type&quot;                        
## [5] &quot;Value&quot;</code></pre>
<p>The descriptions of populations of concern have similar annoyances:</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb5-1" data-line-number="1"><span class="kw">unique</span>(unhcr.ts<span class="op">$</span><span class="st">`</span><span class="dt">Population type</span><span class="st">`</span>)</a></code></pre></div>
<pre><code>## [1] &quot;Refugees (incl. refugee-like situations)&quot;
## [2] &quot;Returned refugees&quot;                       
## [3] &quot;Internally displaced persons&quot;            
## [4] &quot;Returned IDPs&quot;                           
## [5] &quot;Others of concern&quot;                       
## [6] &quot;Asylum-seekers&quot;                          
## [7] &quot;Stateless persons&quot;</code></pre>
</div>
<div id="untools-functions-for-unhcr-data" class="section level1">
<h1><span class="header-section-number">3</span> <em>untools</em> Functions for UNHCR Data</h1>
<div id="the-prepunref-function" class="section level2">
<h2><span class="header-section-number">3.1</span> The <em>prepunref</em> Function</h2>
<p>The <code>untools</code> package provides several functions for processing and visualizing UNHCR data. The <code>prepunref()</code> function will help process raw UNHCR time series data by simplifying the naming structures, converting to wide or long form, selcting years of specific interest, selecting effected populations of interest, summing across groups, and rectifying country codes with ISO standards. Using <code>prepunref()</code> with no additional parameters simplifies the naming structure for column headings population types, and adds columns for ISO3 character country codes.</p>
<div class="sourceCode" id="cb7"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb7-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts)</a></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
type
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1993
</td>
<td style="text-align:right;">
15000
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1994
</td>
<td style="text-align:right;">
332200
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
159600
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1996
</td>
<td style="text-align:right;">
273840
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1997
</td>
<td style="text-align:right;">
296795
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>There are several records with <code>Various/Unknown</code> as the country of origin. While these are not trivial, for this analysis we will focus on known dyadic flows between countries.</p>
<div class="sourceCode" id="cb8"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb8-1" data-line-number="1">unhcr.ts.dante&lt;-unhcr.ts.dante[<span class="op">!</span>(origin<span class="op">==</span><span class="st">&#39;Various/Unknown&#39;</span>)]</a></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
type
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1993
</td>
<td style="text-align:right;">
15000
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1994
</td>
<td style="text-align:right;">
332200
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
159600
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1996
</td>
<td style="text-align:right;">
273840
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1997
</td>
<td style="text-align:right;">
296795
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>By default, <code>prepunref()</code> selects all years and all affected populations, but the user can specify populations and years of interest by using the <code>groups</code> and <code>range</code> options. For example, specifying <code>groups = c('asylum', 'ref')</code> and <code>range = c(2000,2017)</code> will only process refugees between 2000 and 2017.</p>
<div class="sourceCode" id="cb9"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb9-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;ref&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2000</span>, <span class="dv">2017</span>))</a></code></pre></div>
<p>Lastly, <code>prepunref()</code> provides 2 additional logical switches; <code>wide</code> and <code>sum</code>. By default, <code>prepunref()</code> returns long data frames. This is most conventient for plotting and modeling, however, sometimes it’s interesting to explore data in wide form; especially time series data sets. Moreover, the <code>sum_groups</code> option will aggregate the totals across all specified groups. Lets use these 2 switches to look at the sum of Syrian refugee and asylum seeking out-flows to Germany between 2014-2017 using <code>wide = TRUE</code>.</p>
<div class="sourceCode" id="cb10"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb10-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;ref&#39;</span>, <span class="st">&#39;asylum&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2014</span>, <span class="dv">2017</span>), <span class="dt">sum_groups=</span><span class="ot">TRUE</span>, <span class="dt">wide=</span><span class="ot">TRUE</span>)</a></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
<th style="text-align:right;">
2014
</th>
<th style="text-align:right;">
2015
</th>
<th style="text-align:right;">
2016
</th>
<th style="text-align:right;">
2017
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
SYR
</td>
<td style="text-align:left;">
DEU
</td>
<td style="text-align:left;">
Syrian Arab Rep.
</td>
<td style="text-align:left;">
Germany
</td>
<td style="text-align:right;">
70585
</td>
<td style="text-align:right;">
197186
</td>
<td style="text-align:right;">
475649
</td>
<td style="text-align:right;">
567507
</td>
</tr>
</tbody>
</table>
</div>
<div id="static-grouped-flows" class="section level2">
<h2><span class="header-section-number">3.2</span> Static Grouped Flows</h2>
<p>With more than 100,000 unique country-country-year records, outflows, inflows, and varying populations of interest, visualizing the UNHCR can be overwhelming. The <code>untools</code> packages provides multiple default plotting functions objects produced by the <code>prepunref()</code> function. An easy launching point to investigate flows between countries are static barplots of dyadic flows in or out of a target country. Using <code>plot()</code> on an object produced by <code>prepunref()</code> with <code>sum_groups = TRUE</code> will produce a barplot for the target country and the top 8 destination or origin countries. The user specifies the country of interest, a year of interest, and whether they want to view inflows (<code>mode = 'in'</code>) or outflows (<code>mode = 'out'</code>). Let’s start by viewing asylum seeking inflows to the United States in 2013.</p>
<div class="sourceCode" id="cb11"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb11-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;asylum&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2012</span>, <span class="dv">2017</span>))</a>
<a class="sourceLine" id="cb11-2" data-line-number="2">usa.in&lt;-<span class="kw">plot</span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">&#39;USA&#39;</span>, <span class="dt">mode =</span> <span class="st">&#39;in&#39;</span>, <span class="dt">yr =</span> <span class="dv">2013</span>)</a></code></pre></div>
<p><img src="exploring-unref_files/figure-html/unnamed-chunk-14-1.png" width="672" /></p>
<p>Somewhat surprisingly, China tops the list, while Central America rounds out the rest of the top 5. By default, <code>plot()</code> will list up to 8 countries using the maximum year in the dataset (currently 2017). Similarly, we can view asylum seeking outflows from the Philippines in 2017.</p>
<div class="sourceCode" id="cb12"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb12-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;asylum&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2012</span>, <span class="dv">2017</span>))</a>
<a class="sourceLine" id="cb12-2" data-line-number="2">phl.out&lt;-<span class="kw">plot</span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">&#39;PHL&#39;</span>, <span class="dt">mode =</span> <span class="st">&#39;out&#39;</span>)</a></code></pre></div>
<p><img src="exploring-unref_files/figure-html/unnamed-chunk-15-1.png" width="672" /></p>
</div>
<div id="stacked-static-flows-by-population-type" class="section level2">
<h2><span class="header-section-number">3.3</span> Stacked Static Flows by Population Type</h2>
<p>Up until this point we’ve visualized cumulative migrant flows across all groups or a singular group, but it may be of interest to examine relative proportions of asylum seekers, refugees, and stateless persons. The <code>untools</code> package provides default plotting functions to visualize stacked bar charts of migrant inflows or outflows by groups. Let’s re-examine inflows of migrants to the USA in 2017, but this time include breakdowns by type. To maintain effected population breakdowns specify <code>sum_groups = FALSE</code>.</p>
<div class="sourceCode" id="cb13"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb13-1" data-line-number="1">unhcr.stacked&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;asylum&#39;</span>, <span class="st">&#39;ref&#39;</span>,<span class="st">&#39;stateless&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2000</span>, <span class="dv">2017</span>), <span class="dt">sum_groups =</span> <span class="ot">FALSE</span>)</a>
<a class="sourceLine" id="cb13-2" data-line-number="2">usa.stacked.in&lt;-<span class="kw">plot</span>(unhcr.stacked, <span class="dt">country =</span> <span class="st">&#39;USA&#39;</span>, <span class="dt">mode =</span> <span class="st">&#39;in&#39;</span>)</a></code></pre></div>
<p><img src="exploring-unref_files/figure-html/unnamed-chunk-16-1.png" width="672" /></p>
</div>
<div id="plotting-time-series" class="section level2">
<h2><span class="header-section-number">3.4</span> Plotting Time Series</h2>
<p>Although static plots of migrant flows are interesting, it’s often more illuminating to examing time series data for migrant inflows and outflows. The <code>untools</code> package also provides default plotting functions to visualize time series migrant flows for data frames produced with the <code>prepunref()</code> using <code>sum_groups = TRUE</code>. The default plotting function will produce a plot for all years present in the raw data using the 5 countries with the highest totals in the maximum year of the dataset. Let’s view annual cumulative refugee and asylum seeking in-flows to the USA from 2000-2017.</p>
<div class="sourceCode" id="cb14"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb14-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw">prepunref</span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw">c</span>(<span class="st">&#39;asylum&#39;</span>, <span class="st">&#39;ref&#39;</span>), <span class="dt">range =</span> <span class="kw">c</span>(<span class="dv">2000</span>, <span class="dv">2017</span>), <span class="dt">sum_groups =</span> <span class="ot">TRUE</span>)</a>
<a class="sourceLine" id="cb14-2" data-line-number="2">usa.ts.in&lt;-<span class="kw">plot</span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">&#39;USA&#39;</span>, <span class="dt">mode =</span> <span class="st">&#39;in&#39;</span>)</a></code></pre></div>
<p><img src="exploring-unref_files/figure-html/unnamed-chunk-17-1.png" width="672" /></p>
<p>Lastly, similar to the static default plotting functions, we can specify <code>mode = 'out'</code> to view outflows from a given country.</p>
<div class="sourceCode" id="cb15"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb15-1" data-line-number="1">phl.ts.out&lt;-<span class="kw">plot</span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">&#39;PHL&#39;</span>, <span class="dt">mode =</span> <span class="st">&#39;out&#39;</span>)</a></code></pre></div>
<p><img src="exploring-unref_files/figure-html/unnamed-chunk-18-1.png" width="672" /></p>
</div>
</div>

<footer>

<h1> Additional Meta-Data </h1>

<div id="related-packages-block">
<h3> Related Packages: </h3>
<ul>
<li>untools</li>
</ul>
</div>

<div id="related-datasets-block">
<h3> Related Data Sets: </h3>
<ul>
<li>The United Nations High Commissioner for Refugees Populations of Concern: Time Series</li>
</ul>
</div>

<div id="data-presentation-forms-block">
<h3> Data Categories:</h3>
<span id="data-presentation-forms">tabular, time series, dyadic</span>
</div>


</footer>

</body>

</html>
